{"command":{"effect":"write","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Creates a share that makes a resource available to specific accounts in the caller's organization, or to the whole organization.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/resource-sharing_account_id"}},"required":["account_id"],"additionalProperties":false},"body":{"$ref":"#/definitions/resource-sharing_create_share_request"}},"required":["path","body"],"additionalProperties":false,"definitions":{"resource-sharing_account_id":{"description":"Account identifier.","type":"string","maxLength":32,"minLength":32,"pattern":"^[0-9a-fA-F]{32}$","examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"resource-sharing_create_share_request":{"type":"object","properties":{"excluded_recipients":{"description":"Accounts to exclude from an organization-targeted share. Only allowed when `recipients` contains no account entries. The share owner cannot be excluded. Duplicate entries are ignored.","type":"array","items":{"$ref":"#/definitions/resource-sharing_create_share_excluded_recipient_request"},"maxItems":1000},"name":{"$ref":"#/definitions/resource-sharing_share_name"},"recipients":{"type":"array","items":{"$ref":"#/definitions/resource-sharing_create_share_recipient_request"},"maxItems":100},"resources":{"type":"array","items":{"$ref":"#/definitions/resource-sharing_create_share_resource_request"},"maxItems":1},"tags":{"$ref":"#/definitions/resource-sharing_share_tags"}},"required":["name"]},"resource-sharing_create_share_excluded_recipient_request":{"type":"object","properties":{"account_id":{"description":"The account to exclude from the organization-targeted share.","allOf":[{"$ref":"#/definitions/resource-sharing_account_id"}]}},"required":["account_id"]},"resource-sharing_share_name":{"description":"The name of the share.","type":"string","examples":["My Shared WAF Managed Rule"]},"resource-sharing_create_share_recipient_request":{"description":"Optionally specify `recipient_account_id` to target a specific account, or `organization_id` to target the caller's whole organization. If neither is provided, the caller's organization is used.\nThe legacy field `account_id` is accepted as a synonym for `recipient_account_id` during the deprecation period (see `x-sunset` on that field).\n","type":"object","properties":{"account_id":{"description":"Deprecated alias for `recipient_account_id`. Use `recipient_account_id` instead.\nThe body field collided with the URL path parameter of the same name, which prevented SDK generators from distinguishing the source account (in the URL) from the recipient account (in the body). Both names will continue to be accepted until 2027-05-26 (see `x-sunset`).\n","allOf":[{"$ref":"#/definitions/resource-sharing_account_id"}]},"organization_id":{"$ref":"#/definitions/resource-sharing_organization_id"},"recipient_account_id":{"description":"The account that will receive the share.","allOf":[{"$ref":"#/definitions/resource-sharing_account_id"}]}}},"resource-sharing_create_share_resource_request":{"type":"object","properties":{"meta":{"$ref":"#/definitions/resource-sharing_resource_meta"},"resource_account_id":{"description":"The account that owns the resource. Must match the `account_id` in the path.","allOf":[{"$ref":"#/definitions/resource-sharing_account_id"}]},"resource_id":{"$ref":"#/definitions/resource-sharing_resource_resource_id"},"resource_type":{"$ref":"#/definitions/resource-sharing_resource_type"}},"required":["resource_id","resource_type","resource_account_id","meta"]},"resource-sharing_share_tags":{"description":"Tags associated with the share.","type":"object","additionalProperties":{"type":"string"}},"resource-sharing_organization_id":{"description":"Organization identifier.","type":"string","maxLength":32,"minLength":32,"pattern":"^[0-9a-fA-F]{32}$","examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"resource-sharing_resource_meta":{"description":"Resource Metadata.","type":"object"},"resource-sharing_resource_resource_id":{"description":"Identifier assigned by the service that owns the shared resource.","type":"string","examples":["0a679032-bbb2-4b7e-9acc-dd5c5cb27a17"]},"resource-sharing_resource_type":{"description":"Resource Type.","type":"string","enum":["custom-ruleset","gateway-policy","gateway-destination-ip","gateway-block-page-settings","gateway-extended-email-matching","idp-federation-grant","trust-grant"]}}},"name":"Trigger a share creation","id":"cloudflare.share-create","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353"},"body":{"name":"My Shared WAF Managed Rule"}},"maxRequests":1,"summary":false}}